<?php

$bd = new PDO("sqlite:database.sqlite");

function finaAllCars() {
    global $bd;

    $query = "SELECT * FROM VOITURE";
    $result = $bd->query($query);
    return $result->fetchAll();
}

function insertCar($immatriculation, $proprietaire) {
    global $bd;

    $query = "INSERT INTO VOITURE VALUES ('$immatriculation','$proprietaire');";

    $ret = $bd->exec($query);
    if ($ret === false) {
        echo 'Problème avec la requete : <br />';
        echo $query;
    } 
}

$filters = [
    'immatriculation' => [
        'filter' => FILTER_VALIDATE_REGEXP,
        'options' => ['regexp' => '/^[A-Z]{2}-[0-9]{3}-[A-Z]{2}$/']
    ],
    'proprietaire' => [
        'filter' => FILTER_VALIDATE_REGEXP,
        'options' => ['regexp' => '/^.+$/']
    ]
];

if (isset($_POST['submit'])) {
    $validations = filter_input_array(INPUT_POST, $filters);
    $immatriculation = $validations['immatriculation'];
    $proprietaire = $validations['proprietaire'];
    $immatriculation or die("Valeur du no immatriculation invalide");
    $proprietaire or die("Valeur du proprietaire invalide");
    insertCar($immatriculation, $proprietaire);
}

$cars = finaAllCars();

include 'carList.html.php';

?>